function F=nls_alphaZ_step1_objective_lsqnonlin(x) 
%   objective function for nls_step1.m

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
global data_w                   % skill premium
global data_hs data_hg          % skill intensitites
global data_p                   % relative price of services
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   unpack parameters
global es eg beta0s beta1s beta0g beta1g a0 a1 fi
%clc
es=exp(x(1)) ;
eg=exp(x(2)) ;
beta0s=x(3) ;
beta1s=x(4) ;
beta0g=x(5) ;
beta1g=x(6) ;
a0=x(7) ;
a1=x(8) ;
fi=exp(x(9)) ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   equilibrium

%options = optimset('LargeScale','off','TolFun', 0.00001, 'TolX', 0.0001,...
%    'MaxIter',100000,'MaxFunEvals',1000000) ;
options = optimset('Display','off') ;

w=zeros(length(data_w),1) ;
hs=zeros(length(data_w),1) ;
hg=zeros(length(data_w),1) ;
p=zeros(length(data_p),1) ;

w0=1.5 ; % initial value for fsolve search
w0=log(w0) ;
global t
for t=1:1:length(data_w)
    w(t,:)=fsolve(@nls_alphaZ_step1_equilibrium,w0,options) ;
    w0=w(t,:) ; % update initial value for efficiency in search
    w(t,:)=exp(w(t,:)) ;
    hs(t,:)=(w(t,:)^-es)*exp(beta0s+beta1s*(t-1))^es ;
    hg(t,:)=(w(t,:)^-eg)*exp(beta0g+beta1g*(t-1))^eg ;
    p(t,:)=nls_alphaZ_step1_relprice(w(t,:)) ;   % relative price of S
end
p=p/p(1) ;                  % normalize price=1 in 1963, as in data
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   moments to match: for 43 observations, 1963-2005
%   1. skill premium
%   2. skill intensities (2)
%   3. relative price of services

%obj1=(data_w-w) ;
%obj2=(data_hs-hs) ;
%obj3=(data_hg-hg) ;
%obj4=(data_p-p) ;

obj1=(log(data_w)-log(w)) ;
obj2=(log(data_hs)-log(hs)) ;
obj3=(log(data_hg)-log(hg)) ;
obj4=(log(data_p)-log(p)) ;

F=[obj1;obj2;obj3;obj4] ;
