function F=nls_alphaZ_step1_relout(w) % w is the relative wage
%   relative price of SV/GS

global es eg
global beta0s beta1s beta0g beta1g a0 a1
global t        % time
global data_h   % skill abundance

hs=(w^-es)*exp(beta0s+beta1s*(t-1))^es ;
hg=(w^-eg)*exp(beta0g+beta1g*(t-1))^eg ;

Zs_Zg=exp(a0+a1*(t-1)) ;

alpha_s=exp(beta0s+beta1s*(t-1))/(1+exp(beta0s+beta1s*(t-1))) ;
alpha_g=exp(beta0g+beta1g*(t-1))/(1+exp(beta0g+beta1g*(t-1))) ;

rs=es/(es-1) ;
rg=eg/(eg-1) ;
qs=(1+w*hs)^(es/(1-es)) ;
qg=(1+w*hg)^(eg/(1-eg)) ;
a=Zs_Zg*((1-alpha_s)^rs)/((1-alpha_g)^rg) ;

F = a*((data_h(t)-hg)/(hs-data_h(t)))*(qg/qs) ; % relative output SV/GS
