function F=nls_alphaZ_step2_relprice(x) % x is the relative wage
%%% relative price of services/goods

global fi es eg
global beta0s beta1s beta0g beta1g a0 a1
global mu    % distribution parameter on services
global t r       % time, simulation number
global data_h   % skill abundance
global us ug ua uh % shocks

hs=(x^-es)*exp(beta0s+beta1s*(t-1)+us(t,r))^es ;
hg=(x^-eg)*exp(beta0g+beta1g*(t-1)+ug(t,r))^eg ;
alpha_s=exp(beta0s+beta1s*(t-1)+us(t,r))/(1+exp(beta0s+beta1s*(t-1)+us(t,r))) ;
alpha_g=exp(beta0g+beta1g*(t-1)+us(t,r))/(1+exp(beta0g+beta1g*(t-1)+ug(t,r))) ;
Zs_Zg=exp(a0+a1*(t-1)+ua(t,r)) ;
h=data_h(t)*exp(uh(t,r)) ;

qs=(1+x*hs)^(es/(1-es)) ;
qg=(1+x*hg)^(eg/(1-eg)) ;
rs=es/(es-1) ;
rg=eg/(eg-1) ;
a=Zs_Zg*((1-alpha_s)^rs)/((1-alpha_g)^rg) ;
relout =a*((h-hg)/(hs-h))*(qg/qs) ; % relative output SV/GS

F = (mu/(1-mu))*relout^(-1/fi) ;
