function F=nls_alphaZ_step3_equilibrium(x) % x is the relative wage
%%% equilibrium condition

x=exp(x) ;

global fi es eg
global beta0s beta1s beta0g beta1g a0 a1
global mu       % distribution parameter on services
global t r      % time, simulation number
global data_h   % skill abundance
global us ug ua uh % shocks

hs=(x^-es)*exp(beta0s+beta1s*(t-1)+us(t,r))^es ;
hg=(x^-eg)*exp(beta0g+beta1g*(t-1)+ug(t,r))^eg ;
Zs_Zg=exp(a0+a1*(t-1)+ua(t,r)) ;
alpha_s=exp(beta0s+beta1s*(t-1)+us(t,r))/(1+exp(beta0s+beta1s*(t-1)+us(t,r))) ;
alpha_g=exp(beta0g+beta1g*(t-1)+us(t,r))/(1+exp(beta0g+beta1g*(t-1)+ug(t,r))) ;
h=data_h(t)*exp(uh(t,r)) ;

b=(mu/(1-mu))^fi ;
gs=(fi-es)/(1-es) ;
gg=(fi-eg)/(1-eg) ;
rs=es/(es-1) ;
rg=eg/(eg-1) ;
a=(Zs_Zg*((1-alpha_s)^rs)/((1-alpha_g)^rg))^(1-fi) ;

F = b - a*((h-hg)/(hs-h))*((1+x*hs)^gs)/((1+x*hg)^gg) ;
