function F=nls_step1_equilibrium(x)  %   x is the relative wage
%   equilibrium condition

x=exp(x) ;

global fi es eg
global beta0s beta1s beta0g beta1g a0 a1
global mu       % distribution parameter on services
global t        % time
global data_h   % skill abundance

hs=(x^-es)*exp(beta0s+beta1s*(t-1))^(es-1) ;
hg=(x^-eg)*exp(beta0g+beta1g*(t-1))^(eg-1) ;

As_Ag=exp(a0+a1*(t-1)) ;

b=(mu/(1-mu))^fi ;
gs=(fi-es)/(1-es) ;
gg=(fi-eg)/(1-eg) ;
a=(As_Ag)^(1-fi) ;

F = b - a*((data_h(t)-hg)/(hs-data_h(t)))*((1+x*hs)^gs)/((1+x*hg)^gg) ;
