function F=nls_step2_relprice(x) % x is the relative wage
%%% relative price of services/goods

global fi es eg
global beta0s beta1s beta0g beta1g a0 a1
global mu    % distribution parameter on services
global t r       % time, simulation number
global data_h   % skill abundance
global us ug ua uh % shocks

hs=(x^-es)*exp(beta0s+beta1s*(t-1)+us(t,r))^(es-1) ;
hg=(x^-eg)*exp(beta0g+beta1g*(t-1)+ug(t,r))^(eg-1) ;
As_Ag=exp(a0+a1*(t-1)+ua(t,r)) ;
h=data_h(t)*exp(uh(t,r)) ;

qs=(1+x*hs)^(es/(1-es)) ;
qg=(1+x*hg)^(eg/(1-eg)) ;

relout =(As_Ag)*((h-hg)/(hs-h))*(qg/qs) ; % relative output SV/GS

F = (mu/(1-mu))*relout^(-1/fi) ;
