function F=nls_step3_objective_lsqnonlin(x) 
%   objective function for nls.m

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
global data_w                   % skill premium
global data_hs data_hg          % skill intensitites
global data_p                   % relative price of services
global T R
global us ug
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   unpack parameters
global es eg beta0s beta1s beta0g beta1g a0 a1 fi
es=exp(x(1)) ;
eg=exp(x(2)) ;
beta0s=x(3) ;
beta1s=x(4) ;
beta0g=x(5) ;
beta1g=x(6) ;
a0=x(7) ;
a1=x(8) ;
fi=exp(x(9)) ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   EQUILIBRIUM

%options = optimset('LargeScale','off','TolFun', 0.00001, 'TolX', 0.0001,...
%    'MaxIter',100000,'MaxFunEvals',1000000) ;
options = optimset('Display','off') ;

w=zeros(T,R) ;
hs=zeros(T,R) ;
hg=zeros(T,R) ;
p=zeros(T,R) ;

global t r
for r=1:1:R  % simulations
    w0=1.5 ; % initial value for fsolve search
    w0=log(w0) ;
    for t=1:1:T % observations
        w(t,r)=fsolve(@nls_step3_equilibrium,w0,options) ;
        w0=w(t,r) ; % update initial value for efficiency in search
        w(t,r)=exp(w(t,r)) ;
        hs(t,r)=(w(t,r)^-es)*exp(beta0s+beta1s*(t-1)+us(t,r))^(es-1) ;
        hg(t,r)=(w(t,r)^-eg)*exp(beta0g+beta1g*(t-1)+ug(t,r))^(eg-1) ;
        p(t,r)=nls_step3_relprice(w(t,r)) ;   % relative price of S
    end
    p(:,r)=p(:,r)/p(1,r) ;	% normalize price=1 in 1963, as in data
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   moments to match: for 43 observations, 1963-2005
%   1. skill premium
%   2. skill intensities (2)
%   3. relative price of services

%obj1=(data_w-w) ;
%obj2=(data_hs-hs) ;
%obj3=(data_hg-hg) ;
%obj4=(data_p-p) ;

w=mean(w,2) ;
hs=mean(hs,2) ;
hg=mean(hg,2) ;
p=mean(p,2) ;

obj1=(log(data_w)-log(w)) ;
obj2=(log(data_hs)-log(hs)) ;
obj3=(log(data_hg)-log(hg)) ;
obj4=(log(data_p)-log(p)) ;

F=[obj1;obj2;obj3;obj4] ;
