%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   smm3_analytical_agg_eos_weights.m 

%   COMPUTE ELASTICITY WEIGHTS FOR ANALYTICAL AGGREGATE ELASTICITY OF 
%   SUBSTITUTION. MULTIPLYING EACH WEIGHT BY THE RELEVANT EOS, WE OBTAIN
%   THE AGGREGATE ELASTICITY OF SUBSTITUTION.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [wgt_es,wgt_eg,wgt_fi] = smm3_analytical_agg_eos_weights(alpha,fi,es,eg,h,hs,hg,w)

wgt_es = hs.*(1+w.*h).*(h-hg)./h./(1+w.*hs)./(hs-hg) ;
wgt_eg = hg.*(1+w.*h).*(hs-h)./h./(1+w.*hg)./(hs-hg) ;
wgt_fi = w.*(h-hg).*(hs-h)./h./(1+w.*hg)./(1+w.*hs) ;

