*************************************************************************
set more off 
capture log close
set logtype text
clear
set memory 400m

/************************************************************************
	Figure2_employment_shares.do

	uses:	x.gph is generated by data_for_estimation.do
************************************************************************/

* data generating do-files:
*do cps6406countsample.do
*do ind2convert1990-2000countsample.do

use countsample6406ind2corrected
g byte sec=1+(ind2>=10)

collapse (sum) hrs, by(year sec)
reshape wide hrs, i(year) j(sec)

replace year=year+1900-1
label var hrs1 "Goods"
label var hrs2 "Services"
sort year
save nsh_by_sec, replace

scatter hrs* year, c(l l) ms(S T) ///
	scheme(s1color) ///
	xlabel(1965(5)2005) xtitle("") ///
	ytitle(Share in Total Employment) ///
	mc(cranberry navy) lc(cranberry navy) 
graph export Figure2_employment_shares.wmf, as(wmf) replace

scatter hrs* year, c(l l) ms(S T) ///
	ti(A. Employment Shares) ///
	scheme(s1color) ///
	xlabel(1970(10)2000) xtitle("") ///
	ytitle(Share in Total Employment) ///
	mc(cranberry navy) lc(cranberry navy) 
graph save Figure2_employment_shares.gph, replace

*do data_for_estimation.do

graph combine Figure2_employment_shares.gph  x.gph
graph save   Figure2_employment_shares_x, replace
graph export Figure2_employment_shares_x.wmf, as(wmf) replace
graph export Figure2_employment_shares_x.eps, as(eps) replace
