/************************************************************************
ind2.do:
	generate new 2-digit classification for industries
	SEE: http://www.census.gov/hhes/www/ioindex/indcross_menu.html

Consistent classifications:
	64-67, 68-70, 71-82, 83-102 (?), 103-106
************************************************************************/

g byte  ind2=.
*replace ind2=indlyr if year>=64 & year<=67 & indlyr>=0 & indlyr<=43
*replace ind2=indly2 if year>=68 & year<=71 & indly2>=1 & indly2<=48
*replace ind2=indly2 if year>=72 & year<=82 & indly2>=1 & indly2<=51

/*
make ind2 before 1982 look like 1983-2002 classifications
1	Agriculture, forestry, & fisheries
2	Mining
3	Construction
4	Manufacturing, nondurable goods
5	Manufacturing, durable goods
6	Transportation (inc. USPS)
7	Communications & other public utilities
8	Wholesale trade
9	Retail trade
10	Finance, insurance & real estate
11	Business & repair services
12	Personal services
13	Entertainment & recreation services
14	Health services
15	Educational services
16	Other professional & related services
17	Public administration (NOT inc. USPS)
*/

g byte yy=(year>=64 & year<=67)
replace ind2=	1	if yy==1 & indlyr>=	1	& indlyr <=	2
replace ind2=	2	if yy==1 & indlyr==	3
replace ind2=	3	if yy==1 & indlyr==	4
replace ind2=	4	if yy==1 & indlyr>=	16	& indlyr <=	21
replace ind2=	5	if yy==1 & indlyr>=	5	& indlyr <=	15
replace ind2=	6	if yy==1 & indlyr>=	22	& indlyr <=	23
replace ind2=	6	if yy==1 & indlyr==	41
replace ind2=	7	if yy==1 & indlyr>=	24	& indlyr <=	25
replace ind2=	8	if yy==1 & indlyr==	26
replace ind2=	9	if yy==1 & indlyr>=	27	& indlyr <=	28
replace ind2=	10	if yy==1 & indlyr>=	29	& indlyr <=	30
replace ind2=	11	if yy==1 & indlyr>=	31	& indlyr <=	32
replace ind2=	12	if yy==1 & indlyr>=	33	& indlyr <=	34
replace ind2=	13	if yy==1 & indlyr==	35
replace ind2=	14	if yy==1 & indlyr>=	36	& indlyr <=	37
replace ind2=	15	if yy==1 & indlyr==	39
replace ind2=	16	if yy==1 & indlyr==	40	| indlyr==	38
replace ind2=	17	if yy==1 & indlyr>=	42	& indlyr <=	44

replace yy=(year>=68 & year<=70)
*	1960 Census of Population -  Industry Classification
replace ind2=	1	if yy==1 & indlyr>=	16	& indlyr <=	18
replace ind2=	2	if yy==1 & indlyr>=	126	& indlyr <=	156
replace ind2=	3	if yy==1 & indlyr==	196
replace ind2=	4	if yy==1 & indlyr>=	306	& indlyr <=	459
replace ind2=	5	if yy==1 & indlyr>=	206	& indlyr <=	296
replace ind2=	6	if yy==1 & indlyr>=	506	& indlyr <=	526
replace ind2=	6	if yy==1 & indlyr==	906
replace ind2=	7	if yy==1 & indlyr>=	536	& indlyr <=	579
replace ind2=	8	if yy==1 & indlyr>=	606	& indlyr <=	629
replace ind2=	9	if yy==1 & indlyr>=	636	& indlyr <=	696
replace ind2=	10	if yy==1 & indlyr>=	706	& indlyr <=	736
replace ind2=	11	if yy==1 & indlyr>=	806	& indlyr <=	809
replace ind2=	12	if yy==1 & indlyr>=	816	& indlyr <=	839
replace ind2=	13	if yy==1 & indlyr>=	846	& indlyr <=	849
replace ind2=	14	if yy==1 & indlyr>=	867	& indlyr <=	868
replace ind2=	15	if yy==1 & indlyr==	876
replace ind2=	16	if yy==1 & indlyr==	869
replace ind2=	16	if yy==1 & indlyr>=	879	& indlyr <=	898
replace ind2=	17	if yy==1 & indlyr>=	916	& indlyr <=	936

replace yy=(year>=71 & year<=82)
*	1970 Census of Population -  Industry Classification
replace ind2=	1	if yy==1 & indlyr>=	17	& indlyr <=	29
replace ind2=	2	if yy==1 & indlyr>=	47	& indlyr <=	58
replace ind2=	3	if yy==1 & indlyr>=	67	& indlyr <=	78
replace ind2=	4	if yy==1 & indlyr>=	268	& indlyr <=	399
replace ind2=	5	if yy==1 & indlyr>=	107	& indlyr <=	267
replace ind2=	6	if yy==1 & indlyr>=	407	& indlyr <=	429
replace ind2=	6	if yy==1 & indlyr==	907
replace ind2=	7	if yy==1 & indlyr>=	447	& indlyr <=	499
replace ind2=	8	if yy==1 & indlyr>=	507	& indlyr <=	599
replace ind2=	9	if yy==1 & indlyr>=	607	& indlyr <=	699
replace ind2=	10	if yy==1 & indlyr>=	707	& indlyr <=	719
replace ind2=	11	if yy==1 & indlyr>=	727	& indlyr <=	767
replace ind2=	12	if yy==1 & indlyr>=	769	& indlyr <=	799
replace ind2=	13	if yy==1 & indlyr>=	807	& indlyr <=	817
replace ind2=	14	if yy==1 & indlyr>=	828	& indlyr <=	848
replace ind2=	15	if yy==1 & indlyr>=	857	& indlyr <=	869
replace ind2=	16	if yy==1 & indlyr==	849
replace ind2=	16	if yy==1 & indlyr>=	877	& indlyr <=	899
replace ind2=	17	if yy==1 & indlyr>=	917	& indlyr <=	947

replace yy=(year>=83 & year<=102)
*	1980 and 1990 Census of Population -  Industry Classification
replace ind2=	1	if yy==1 & indlyr>=	10	& indlyr <=	32
replace ind2=	2	if yy==1 & indlyr>=	40	& indlyr <=	50
replace ind2=	3	if yy==1 & indlyr>=	60	& indlyr <=	60
replace ind2=	4	if yy==1 & indlyr>=	100	& indlyr <=	222
replace ind2=	5	if yy==1 & indlyr>=	230	& indlyr <=	392
replace ind2=	6	if yy==1 & indlyr>=	400	& indlyr <=	432
replace ind2=	7	if yy==1 & indlyr>=	440	& indlyr <=	472
replace ind2=	8	if yy==1 & indlyr>=	500	& indlyr <=	571
replace ind2=	9	if yy==1 & indlyr>=	580	& indlyr <=	691
replace ind2=	10	if yy==1 & indlyr>=	700	& indlyr <=	712
replace ind2=	11	if yy==1 & indlyr>=	721	& indlyr <=	760
replace ind2=	12	if yy==1 & indlyr>=	761	& indlyr <=	791
replace ind2=	13	if yy==1 & indlyr>=	800	& indlyr <=	810
replace ind2=	14	if yy==1 & indlyr>=	812	& indlyr <=	840
replace ind2=	15	if yy==1 & indlyr>=	842	& indlyr <=	860
replace ind2=	16	if yy==1 & indlyr==	841
replace ind2=	16	if yy==1 & indlyr>=	861	& indlyr <=	893
replace ind2=	16	if yy==1 & indlyr==	730	/* see appendix k */
replace ind2=	17	if yy==1 & indlyr>=	900	& indlyr <=	932

/*
ind2 from 2003 survey
1	Agriculture, forestry, fishing & hunting
2	Mining
3	Construction
4	Manufacturing
5	Transportation & warehousing
6	Utilities
7	Information
8	Wholesale trade
9	Retail trade
10	Finance & insurance
11	Real estate, & rental & leasing
12	Arts, entertainment, & recreation
13	Accomodation & food services
14	Health care & social assistance
15	Educational services
16	Professional, scientific, & technical services
17	Management of companies & enterprises
18	Administrative, support & waste managemnt serv
19	Other services (except public administration)
20	Public administration
*/

replace yy=(year>=103 & year<=106)
*	2000 Census of Population -  Industry Classification
replace ind2=	1	if yy==1 & indlyr>=	170	& indlyr <=	290
replace ind2=	2	if yy==1 & indlyr>=	370	& indlyr <=	490
replace ind2=	3	if yy==1 & indlyr>=	770	& indlyr <=	770
replace ind2=	4	if yy==1 & indlyr>=	1070	& indlyr <=	3990
replace ind2=	5	if yy==1 & indlyr>=	6070	& indlyr <=	6390
replace ind2=	6	if yy==1 & indlyr>=	570	& indlyr <=	690
replace ind2=	7	if yy==1 & indlyr>=	6470	& indlyr <=	6790
replace ind2=	8	if yy==1 & indlyr>=	4070	& indlyr <=	4590
replace ind2=	9	if yy==1 & indlyr>=	4670	& indlyr <=	5790
replace ind2=	10	if yy==1 & indlyr>=	6870	& indlyr <=	6990
replace ind2=	11	if yy==1 & indlyr>=	7070	& indlyr <=	7190
replace ind2=	12	if yy==1 & indlyr>=	8560	& indlyr <=	8590
replace ind2=	13	if yy==1 & indlyr>=	8660	& indlyr <=	8690
replace ind2=	14	if yy==1 & indlyr>=	7970	& indlyr <=	8470
replace ind2=	15	if yy==1 & indlyr>=	7860	& indlyr <=	7890
replace ind2=	16	if yy==1 & indlyr>=	7270	& indlyr <=	7490
replace ind2=	17	if yy==1 & indlyr>=	7570	& indlyr <=	7570
replace ind2=	18	if yy==1 & indlyr>=	7580	& indlyr <=	7790
replace ind2=	19	if yy==1 & indlyr>=	8770	& indlyr <=	9290
replace ind2=	20	if yy==1 & indlyr>=	9370	& indlyr <=	9590

drop yy

label var ind2 "2 digit industry, see code"
tab year if ind2==.
drop if ind2==.
*************************************************************************
