/************************************************************************
	ind2convert1990-2000countsample.do
	convert 2000 census 2-digit industries into 1990 census 
	classifications (these start in the 2003 CPS)
	SEE: http://www.census.gov/hhes/www/ioindex/indcross_menu.html
************************************************************************/

clear
use countsample6406ind2
tab ind2 year if year>=102 & year<=103
tab year if ind2==.
drop if ind2==.
egen gg=group(sex edu exp5) /* sex*edu*exp5 ID */
sort year gg
save tempc, replace

collapse (mean) sex edu exp5, by(gg)
sort gg
save gg, replace

clear
use tempc
keep if year>=103
save tempc0306, replace

local y=103
while `y'<=106 {
	local g=1
	while `g'<=64 {
		clear
		use tempc0306
		keep if year==`y' & gg==`g'
		display "***************** gg=" `g' " year=" `y' " ****************"
		merge ind2 using ind2category2000to1990mat, sort
		tab _merge
		tab ind2 if _merge~=3
		drop if _merge~=3
		drop _merge
		local i=1
		while `i'<=17 {
			g hrs`i'=0
			replace hrs`i'=hrs`i'+(hrs*p2to90_`i'/100)
			local i=`i'+1
		}
		collapse (sum) hrs1-hrs17, by(year)
		reshape long hrs, i(year) j(ind2)
		g byte gg=`g'
		save temp`y'_`g', replace
		local g=`g'+1
	}
	local y=`y'+1
}

use tempc
erase tempc.dta
erase tempc0306.dta
drop if year>=103
local y=103
while `y'<=106 {
	local g=1
	while `g'<=64 {
		append using temp`y'_`g'
		erase temp`y'_`g'.dta
		local g=`g'+1
	}
	local y=`y'+1
}

drop sex edu exp5
sort gg
merge gg using gg
erase gg.dta
tab _merge
drop _merge gg

tab ind2
drop if ind2==17 /* public sector */

egen hrs1=pc(hrs), by(year) prop
g dhrs=hrs1-hrs
sum dhrs if year<=102,d
sum dhrs if year>=103,d
egen hrstotal=total(hrs), by(year)
egen hrstotal1=total(hrs1), by(year)
sum hrstotal hrstotal1
drop hrstotal hrstotal1 hrs dhrs
rename hrs1 hrs

order year ind2 sex edu exp5 hrs
sort year ind2 sex edu exp5
compress
save countsample6406ind2corrected, replace
*************************************************************************
